File: changelog

package info (click to toggle)
jasperreports 6.3.1-2
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 25,156 kB
  • sloc: java: 273,925; xml: 7,314; makefile: 13
file content (349 lines) | stat: -rw-r--r-- 12,212 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
jasperreports (6.3.1-2) unstable; urgency=medium

  * Team upload.
  * Depend on libsaaj-java instead of libaxis-java
  * Standards-Version updated to 4.2.0
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 06 Aug 2018 13:55:28 +0200

jasperreports (6.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes CVE-2017-5528 and CVE-2017-5529 (Closes: #880467)
    - Refreshed the patches
    - Adapted the build to the new source layout
  * Track and download the new releases from GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 11 Dec 2017 13:14:45 +0100

jasperreports (6.2.2-5) unstable; urgency=medium

  * Team upload.
  * Ignore the javadoc plugin (Closes: #883582)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Dec 2017 15:01:46 +0100

jasperreports (6.2.2-4) unstable; urgency=medium

  * Team upload.
  * Removed the -java-doc package to avoid the build failure with Java 9
    (Closes: #875416)
  * Removed the build dependencies on libaspectj-java, libjoptsimple-java
    and libyaml-snake-java since the FTBFS reported in #844362 was actually
    caused by #844428.
  * Replaced the dependency on glassfish-j2ee with the Geronimo spec jars
  * Standards-Version updated to 4.1.2
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 04 Dec 2017 23:17:12 +0100

jasperreports (6.2.2-3) unstable; urgency=medium

  * Team upload.
  * Add missing build-dependencies on libaspectj-java,
    libjoptsimple-java, and libyaml-snake-java. (Closes: #844362)

 -- tony mancill <tmancill@debian.org>  Mon, 14 Nov 2016 20:02:46 -0800

jasperreports (6.2.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with liblucene4.10-java >= 4.10.4+dfsg-2 to fix
    the mh_resolve_dependencies error breaking the package dependencies

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Aug 2016 18:43:45 +0200

jasperreports (6.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - New dependencies on libxmpcore-java and libicu4j-java
    - Depend on libitext-java (>= 2.1.7-11~)
    - Removed the unused Lintian overrides
  * Build with maven-debian-helper
  * Increased the compression level for the upstream tarball
  * Removed the pdf documentation and the Eclipse project files
    from the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 29 Jul 2016 08:40:16 +0200

jasperreports (6.1.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Depend on groovy instead of groovy2

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 May 2016 12:02:19 +0200

jasperreports (6.1.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.8.
  * Drop libcommons-javaflow-java from Build-Depends because it is no longer
    needed.
  * Add no-commons-javaflow.patch and do not support commons-javaflow anymore.

 -- Markus Koschany <apo@debian.org>  Fri, 22 Apr 2016 11:08:06 +0200

jasperreports (6.1.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Adjusted the dependencies of libjasperreports-java to match
    the dependencies of the Maven pom
  * No longer build jasperreports-javaflow.jar (never used)
  * Removed the unused dependency on libasm4-java
  * Depend on libbsh-java instead of bsh
  * Standards-Version updated to 3.9.7 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 01 Apr 2016 22:53:55 +0200

jasperreports (6.1.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Depend on liblucene4.10-java instead of liblucene4-java

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Feb 2016 00:16:15 +0100

jasperreports (6.1.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Patch Maven POM file before installation. (Closes: #803990).

 -- Miguel Landaeta <nomadium@debian.org>  Fri, 11 Dec 2015 11:21:23 -0300

jasperreports (6.1.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * New upstream release.
  * Switch from cdbs to dh sequencer.
  * debian/control:
    - Vcs-Browser: Use https.
    - Add liblucene4-java to Build-Depends. Depend on liblucene4-java.
    - Add libhttpclient-java to Build-Depends and suggest it.
    - Add libcommons-lang-java to Build-Depends.
    - libjasperreports-java: Depend on olap4j.
    - Replace libjackson-json-java with libjackson2-* build-dependencies.
    - Switch from groovy to groovy2. (Closes: #801693)
    - Use javahelper and maven-repo-helper to install Maven artifacts.
    - Tighten dependency on libbatik-java to >= 1.8.
    - wrap-and-sort -sa.
  * Do not install jasperreports-applet.jar. It is gone.
  * debian/patches:
    - Add build.patch which modifies the build.xml file and works around
      various build issues. The old patches 01, 06 and 12 were merged into this
      one. It is simpler to maintain.
    - Rebase 09_use_commons_codec.diff and rename it to
      commons-codec-Base64.patch.
    - Rebase 07_exclude_barcode4j_and_barbecue.diff and rename it to
      exclude-barcode4j-and-barbecue.patch.
    - Rename 17_batik_18.diff to batik-1.8.patch.
    - Drop 02_use_debian_asm.diff because this should be fixed in
      groovy2 if at all.
    - Drop 08_no_maxmemory_for_javadoc.diff. It is obsolete.
    - Drop patch 10, 12 and 14 because they appear to be obsolete and building
      succeeds without them.
  * Override Lintian warnings: source-is-missing and license-problem-json-evil
    because they are both false-positives.

  [ Emmanuel Bourg ]
  * Changed the javadoc settings to make it reproducible

 -- Markus Koschany <apo@gambaru.de>  Wed, 28 Oct 2015 16:43:11 +0100

jasperreports (4.1.3+dfsg-4) unstable; urgency=medium

  * Team upload.
  [ Emmanuel Bourg ]
  * Replaced the dependency on libasm2-java with libasm4-java

  [ tony mancill ]
  * Moved the package to Git
  * Add patch for build against batik 1.8 and depend on batik (>= 1.8)
    (Closes: #800807)

 -- tony mancill <tmancill@debian.org>  Sun, 11 Oct 2015 12:33:15 -0700

jasperreports (4.1.3+dfsg-3) unstable; urgency=low

  * Team upload.
  * Search for jackson-mapper-asl.jar and jackson-core-asl.jar in $CLASSPATH
    and adjust debian/rules for the changes in libjackson-json-java.
  * Bump Standards-Version to 3.9.5, no changes.
  * Use compat level 9 and require debhelper >= 9.

 -- Markus Koschany <apo@gambaru.de>  Tue, 03 Dec 2013 10:11:43 +0100

jasperreports (4.1.3+dfsg-2) unstable; urgency=low

  * Team upload.
  * Added a patch to compile with ecj 3.8 (addresses part of #713169)
  * Enabled OOXML support
  * debian/control
    - Updated Standards-Version to 3.9.4 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * debian/copyright:
    - Updated the format URI
    - Removed the duplicate Copyright field

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2013 15:39:50 +0200

jasperreports (4.1.3+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 01 Nov 2011 23:32:32 +0100

jasperreports (4.1.2+dfsg-1) unstable; urgency=low

  * New upstream release:
    - Refresh all debian/patches/*.
    - Add Build-Depends on velocity, libcastor-core-java
      and libcastor-xml-java.
  * Build-Depends and Recommends libapache-poi-java instead of
    libjakarta-poi-java (renamed package). (Closes: #642280).
  * d/patches/13_disable_ooxml_support.diff: Disable OOXML support in JR since
    libapache-poi-java doesn't provide it.
  * d/patches/14_velocity.diff: Fix some missing exception not handled by JR.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 21 Sep 2011 14:06:31 +0200

jasperreports (4.0.2+dfsg-2) unstable; urgency=low

  [ Miguel Landaeta ]
  * Team upload.
  * Switch dependencies on Spring Framework 2.5 with 3.0. (Closes: #638391).
  * Add mh_clean call in clean target.

  [ Damien Raude-Morvan ]
  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 20 Aug 2011 13:22:48 +0200

jasperreports (4.0.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * B-D and Suggests libaspectj-java instead of aspectj (ie. so no JRE
    in dependencies graph).
  * d/patches/09_use_commons_codec.diff
    d/patches/08_no_maxmemory_for_javadoc.diff
    d/patches/12_samples.diff: Refreshed.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 08 May 2011 00:05:57 +0200

jasperreports (4.0.1+dfsg-1) unstable; urgency=low

  * New upstream release: Refreshed all patches.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 15 Mar 2011 19:58:44 +0100

jasperreports (4.0.0+dfsg-1) unstable; urgency=low

  * New upstream release:
    - d/patches/09_use_commons_codec.diff: Refreshed.
    - d/patches/07_exclude_barcode4j_and_barbecue.diff: Refreshed.
    - d/patches/12_samples.diff: Refreshed.
  * d/copyright: Use DEP-5 format.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 22 Feb 2011 22:29:56 +0100

jasperreports (3.7.4+dfsg-1) unstable; urgency=low

  * New upstream release:
    - Refresh 07_exclude_barcode4j_and_barbecue.diff patch
  * Bump Standards-Version to 3.9.1: no changes needed.
  * Drop Depends on JRE: not requested anymore by new Java Policy.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 27 Jul 2010 15:32:56 +0200

jasperreports (3.7.3+dfsg-1) unstable; urgency=low

  * New upstream release:
    - Refresh all patches
  * Bump Standards-Version to 3.9.0 (no changes needed)

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 08 Jul 2010 02:23:43 +0200

jasperreports (3.7.2+dfsg-1) unstable; urgency=low

  [ Torsten Werner ]
  * Change maintainers into Maintainers.

  [ Damien Raude-Morvan ]
  * New upstream release:
    - Drop d/patches/01_exclude_jpa.diff
    - Drop d/patches/03_use_pngencoder_from_jcommon.diff
    - Refresh others patches
  * Switch to 3.0 (quilt) source format:
    - d/source/format: Set 3.0 (quilt)
    - d/rules: Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk
    - d/control: Remove B-D on quilt
    - d/README.source: Removed
  * Replace d/patches/11_pom.diff by some d/maven.ignoreRules

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 20 Apr 2010 23:50:28 +0200

jasperreports (3.7.1+dfsg-2) unstable; urgency=low

  * Fix FTBFS: (Closes: #571398)
    - debian/control: Build-Depends on rhino
      (since OpenJDK now only Recommends it)
    - debian/rules: add js.jar to classpath

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 26 Feb 2010 00:13:25 +0100

jasperreports (3.7.1+dfsg-1) unstable; urgency=low

  * New upstream release
    - Remove debian/patches/12_itext.diff (merged upstream)
    - Refresh others patches
  * Enable OLAP components:
    - Update debian/patches/01_exclude_olap_and_jpa.diff
    - debian/control: Build-Depends on libmondrian-java, libolap4j-java,
      libantlr-java
    - debian/rules: add those libs into DEB_JARS
  * Bump Standards-Version to 3.8.4 (no changes needed)

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 06 Feb 2010 22:03:56 +0100

jasperreports (3.7.0+dfsg-1) unstable; urgency=low

  * New upstream release
    - new patch 12_itext.diff to fix utf32 compatibility
  * Depends on libcommons-collection3-java
  * Fix debian/maven.rules to transform more dependencies

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 12 Dec 2009 14:13:19 +0100

jasperreports (3.6.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/patches/11_pom.diff: remove uneeded dependencies removed from
    Debian package
  * debian/patches/10_disable_fonts.diff: don't build "font" package
  * Build-Depends on libcommons-collections3-java instead of
    libcommons-collections-java

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 16 Nov 2009 22:38:49 +0100

jasperreports (3.6.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh all debian/patches
  * debian/copyright:
    - Change upstream license to LGPLv3
  * Update my email address

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 24 Sep 2009 21:17:25 +0200

jasperreports (3.5.3+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #281346)

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Tue, 25 Aug 2009 23:12:16 +0200